#

API Docs for: v3.16.0-alpha.2
Show: Inherited Protected Private Deprecated

# RecordArrayManager Class

Defined in: `../store/addon/-private/system/record-array-manager.js:15`
Module: @ember-data/store

- Index
- Methods

## Item Index

### Methods

- createAdapterPopulatedRecordArray
- createRecordArray
- liveRecordArrayFor
- normalizeModelName
- unregisterRecordArray

## Methods

### `createAdapterPopulatedRecordArray`

(

- `modelName`
- `query`

)
AdapterPopulatedRecordArray

Defined in `../store/addon/-private/system/record-array-manager.js:203`

Create a `AdapterPopulatedRecordArray` for a modelName with given query.

#### Parameters:

- `modelName` String
- `query` Object

#### Returns:

AdapterPopulatedRecordArray:

### `createRecordArray`

(

- `modelName`
- `_content`

)
RecordArray

Defined in `../store/addon/-private/system/record-array-manager.js:174`

Create a `RecordArray` for a modelName.

#### Parameters:

- `modelName` String
- `_content` Array

  (optional|private)

#### Returns:

RecordArray:

### `liveRecordArrayFor`

(

- `modelName`

)
RecordArray

Defined in `../store/addon/-private/system/record-array-manager.js:132`

Get the `RecordArray` for a modelName, which contains all loaded records of given modelName.

#### Parameters:

- `modelName` String

#### Returns:

RecordArray:

### `normalizeModelName`

(

- `modelName`

)
String public

Defined in `../store/addon/-private/system/normalize-model-name.js:10`

This method normalizes a modelName into the format Ember Data uses internally.

#### Parameters:

- `modelName` String

#### Returns:

String:

normalizedModelName

### `unregisterRecordArray`

(

- `array`

)

Defined in `../store/addon/-private/system/record-array-manager.js:247`

Unregister a RecordArray. So manager will not update this array.

#### Parameters:

- `array` RecordArray